Skip to content
Agents
Skills

Delete Skill

DELETE
/v1/skills/{skill_id}
curl --request DELETE \
--url https://agents.lumalabs.ai/v1/skills/example \
--header 'Authorization: Bearer <token>'

Delete a skill. Sessions that already pinned one of its versions keep it.

skill_id
required
Skill Id
string

Successful Response

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}